Index: acconfig.h
===================================================================
RCS file: /cvsroot/squid/squid/acconfig.h,v
retrieving revision 1.10
diff -u -p -r1.10 acconfig.h
--- acconfig.h	2001/08/24 15:44:04	1.10
+++ acconfig.h	2001/08/28 14:10:12
@@ -327,6 +327,9 @@
  */
 #undef X_ACCELERATOR_VARY
 
+/* What options was squid built with ? */
+#undef SQUID_CONFIG_OPTIONS
+
 @BOTTOM@
 
 #endif /* __CONFIGURE_H__ */
Index: configure.in
===================================================================
RCS file: /cvsroot/squid/squid/configure.in,v
retrieving revision 1.24
diff -u -p -r1.24 configure.in
--- configure.in	2001/08/24 15:44:04	1.24
+++ configure.in	2001/08/28 14:10:13
@@ -18,6 +18,7 @@ AC_CANONICAL_HOST
 CRYPTLIB=''
 REGEXLIB=''	# -lregex
 LIBREGEX=''	# libregex.a
+SQUID_CONFIG_OPTIONS='' # what configure options
 
 dnl use directory structure of cached as default (hack)
 if test "$libexecdir" = '${exec_prefix}/libexec' &&
@@ -148,6 +149,7 @@ AC_ARG_ENABLE(dlmalloc,
     LIB_MALLOC="$enableval"
     echo "dlmalloc enabled with $LIB_MALLOC"
  esac
+ SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-dlmalloc=$enableval"
 ])
 if test "${use_dlmalloc-unset}" = unset; then
     case "$host" in
@@ -206,7 +208,10 @@ AC_SUBST(LIB_MALLOC)
 
 AC_ARG_ENABLE(gnuregex,
 [  --enable-gnuregex       Compile GNUregex],
-[USE_GNUREGEX=$enableval])
+[
+USE_GNUREGEX=$enableval
+SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-gnuregex=$enableval"
+])
 
 AC_ARG_ENABLE(xmalloc-debug,
 [  --enable-xmalloc-debug  Do some simple malloc debugging],
@@ -214,6 +219,7 @@ AC_ARG_ENABLE(xmalloc-debug,
     echo "Malloc debugging enabled"
     AC_DEFINE(XMALLOC_DEBUG)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-xmalloc-debug=$enableval"
 ])
 
 AC_ARG_ENABLE(xmalloc-debug-trace,
@@ -224,6 +230,7 @@ AC_ARG_ENABLE(xmalloc-debug-trace,
     AC_DEFINE(XMALLOC_TRACE)
     AC_DEFINE(XMALLOC_DEBUG)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-xmalloc-debug-trace=$enableval"
 ])
 
 AC_ARG_ENABLE(xmalloc-statistics,
@@ -233,6 +240,7 @@ AC_ARG_ENABLE(xmalloc-statistics,
     echo "Malloc statistics enabled"
     AC_DEFINE(XMALLOC_STATISTICS)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-xmalloc-statistics=$enableval"
 ])
 
 AC_ARG_ENABLE(carp,
@@ -241,6 +249,7 @@ AC_ARG_ENABLE(carp,
     echo "CARP support enabled"
     AC_DEFINE(USE_CARP)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-carp=$enableval"
 ])
 
 AC_ARG_ENABLE(async-io,
@@ -262,13 +271,15 @@ AC_ARG_ENABLE(async-io,
 	STORE_MODULES="ufs aufs"
     ;;
   esac
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-async-io=$enableval"
 ])
 
 AC_ARG_WITH(aufs-threads,
 [  --with-aufs-threads=N_THREADS
                           Tune the number of worker threads for the aufs object
                           store.],
-[ aufs_io_threads=$withval ])
+[ aufs_io_threads=$withval 
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --with-aufs-threads=$withval"])
 if test "$aufs_io_threads"; then
     echo "With $aufs_io_threads aufs threads"
     with_pthreads=yes
@@ -280,6 +291,7 @@ AC_ARG_WITH(pthreads,
 [ if test "$enableval" = "yes"; then
     with_pthreads=yes
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --with-pthreads=$enableval"
 ])
 if test "$with_pthreads"; then
     echo "With pthreads"
@@ -329,6 +341,7 @@ AC_ARG_ENABLE(storeio,
   *)	STORE_MODULES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
 	;;
   esac
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-storeio=$enableval"
 ],
 [ if test -z "$STORE_MODULES"; then
     STORE_MODULES="ufs"
@@ -352,6 +365,7 @@ AC_ARG_ENABLE(heap-replacement,
     sleep 5
     REPL_POLICIES="heap"
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-heap-replacement=$enableval"
 ])
 
 AC_ARG_ENABLE(removal-policies,
@@ -374,6 +388,7 @@ AC_ARG_ENABLE(removal-policies,
   *)	REPL_POLICIES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
 	;;
   esac
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-removal-policies=$enableval"
 ],
 [ if test -z "$REPL_POLICIES"; then
     REPL_POLICIES="lru"
@@ -394,6 +409,7 @@ AC_ARG_ENABLE(icmp,
     AC_DEFINE(USE_ICMP)
     OPT_PINGER_EXE='$(OPT_PINGER_EXE)'
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-icmp=$enableval"
 ])
 AC_SUBST(OPT_PINGER_EXE)
 
@@ -404,6 +420,7 @@ AC_ARG_ENABLE(delay-pools,
     DELAY_OBJS='$(DELAY_OBJS)'
     AC_DEFINE(DELAY_POOLS)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-delay-pools=$enableval"
 ])
 AC_SUBST(DELAY_OBJS)
 
@@ -412,7 +429,8 @@ AC_ARG_ENABLE(mem-gen-trace,
 [ if test "$enableval" = "yes" ; then
     echo "Memory trace (to file) enabled"
     AC_DEFINE(MEM_GEN_TRACE)
-  fi    
+  fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-mem-gen-trace=$enableval"
 ])     
 
 AC_ARG_ENABLE(useragent-log,
@@ -421,6 +439,7 @@ AC_ARG_ENABLE(useragent-log,
     echo "User-Agent logging enabled"
     AC_DEFINE(USE_USERAGENT_LOG)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-useragent-log=$enableval"
 ])
 
 AC_ARG_ENABLE(referer-log,
@@ -429,6 +448,7 @@ AC_ARG_ENABLE(referer-log,
     echo "Referer logging enabled"
     AC_DEFINE(USE_REFERER_LOG)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-referer-log=$enableval"
 ])
 
 AC_ARG_ENABLE(wccp,  
@@ -439,6 +459,7 @@ AC_ARG_ENABLE(wccp,  
   else
     AC_DEFINE(USE_WCCP, 1)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-wccp=$enableval"
 ])      
 
 AC_ARG_ENABLE(kill-parent-hack,
@@ -448,6 +469,7 @@ AC_ARG_ENABLE(kill-parent-hack,
     echo "Kill parent on shutdown"
     AC_DEFINE(KILL_PARENT_OPT)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-kill-parent-hack=$enableval"
 ])
 
 AC_ARG_ENABLE(snmp,
@@ -460,6 +482,7 @@ AC_ARG_ENABLE(snmp,
     SNMP_MAKEFILE=./snmplib/Makefile
     makesnmplib=snmplib
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-snmp=$enableval"
 ])
 AC_SUBST(SNMPLIB)
 AC_SUBST(SNMP_OBJS)
@@ -471,6 +494,7 @@ AC_ARG_ENABLE(time-hack,
     echo "Update internal timestamp only once per second"
     AC_DEFINE(ALARM_UPDATES_TIME)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-time-hack=$enableval"
 ])
 
 AC_ARG_ENABLE(cachemgr-hostname,
@@ -489,6 +513,7 @@ AC_ARG_ENABLE(cachemgr-hostname,
        echo "Cachemgr default hostname set to ${enableval}"
        ;;
    esac
+   SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-cachemgr-hostname=$enableval"
 ])
 
 AC_ARG_ENABLE(arp-acl,
@@ -506,6 +531,7 @@ AC_ARG_ENABLE(arp-acl,
      esac
      AC_DEFINE(USE_ARP_ACL)
    fi
+   SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-arp-acl=$enableval"
 ])
 
 AC_ARG_ENABLE(htcp,
@@ -515,6 +541,7 @@ AC_ARG_ENABLE(htcp,
     HTCP_OBJS='$(HTCP_OBJS)'
     AC_DEFINE(USE_HTCP)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-htcp=$enableval"
 ])
 AC_SUBST(HTCP_OBJS)
 
@@ -527,6 +554,7 @@ AC_ARG_ENABLE(ssl,
     SSLLIB='-lssl -lcrypto'
     USE_OPENSSL=1
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-ssl=$enableval"
 ])
 
 AC_ARG_WITH(openssl,
@@ -548,6 +576,7 @@ AC_ARG_WITH(openssl,
     SSLINC="-I$with_ssl/include"
     USE_OPENSSL=1
   esac
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --with-openssl=$enableval"
 ])
 
 if test -n "$USE_OPENSSL"; then
@@ -571,6 +600,7 @@ AC_ARG_ENABLE(forw-via-db,
     echo "FORW-VIA enabled"
     AC_DEFINE(FORW_VIA_DB)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-forw-via-db=$enableval"
 ])
 
 AC_ARG_ENABLE(cache-digests,
@@ -580,6 +610,7 @@ AC_ARG_ENABLE(cache-digests,
     echo "USE_CACHE_DIGESTS enabled"
     AC_DEFINE(USE_CACHE_DIGESTS)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-cache-digests=$enableval"
 ])
 
 dnl Select Error language
@@ -593,6 +624,7 @@ AC_ARG_ENABLE(err-language,
 	echo "ERROR! Unknown language $enableval, see errors/"
 	exit 1
     fi
+    SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-err-language=$enableval"
 ],[ERR_LANGUAGE="English"])
 AC_SUBST(ERR_LANGUAGE)
 
@@ -603,6 +635,7 @@ AC_ARG_WITH(coss-membuf-size,
       echo "Setting COSS membuf size to $with_coss_membuf_size bytes"
       AC_DEFINE_UNQUOTED(COSS_MEMBUF_SZ, $with_coss_membuf_size)
    fi
+   SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --with-coss-membuf-size=$enableval"
 ])
 
 dnl Enable poll()
@@ -624,6 +657,7 @@ AC_ARG_ENABLE(poll,
     ac_cv_func_poll='no'
     ;;
   esac
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-poll=$enableval"
 ])
 
 dnl Disable HTTP violations
@@ -637,6 +671,7 @@ AC_ARG_ENABLE(http-violations,
   else
     AC_DEFINE(HTTP_VIOLATIONS, 1)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-http-violations=$enableval"
 ])
 
 dnl Enable IP-Filter Transparent Proxy
@@ -649,6 +684,7 @@ AC_ARG_ENABLE(ipf-transparent,
 	AC_DEFINE(IPF_TRANSPARENT)
 	IPF_TRANSPARENT="yes"
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-ipf-transparent=$enableval"
 ])
 
 dnl Enable Linux Netfilter (2.4) Transparent Proxy
@@ -660,6 +696,7 @@ AC_ARG_ENABLE(linux-netfilter,
 	AC_DEFINE(LINUX_NETFILTER)
 	LINUX_NETFILTER="yes"
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-linux-netfilter=$enableval"
 ])
 
 dnl Enable Leak Finding Functions
@@ -675,6 +712,7 @@ AC_ARG_ENABLE(leakfinder,
         LEAKFINDER_OBJS='$(LEAKFINDER_OBJS)'
 	USE_LEAKFINDER="yes"
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-leakfinder=$enableval"
 ])
 AC_SUBST(LEAKFINDER_OBJS)
 
@@ -688,6 +726,7 @@ AC_ARG_ENABLE(ident-lookups,
   else
     AC_DEFINE(USE_IDENT, 1)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-ident-lookups=$enableval"
 ])
 
 use_dnsserver=
@@ -699,6 +738,7 @@ AC_ARG_ENABLE(internal-dns,
     echo "Disabling Internal DNS queries"
     use_dnsserver="yes"
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-internal-dns=$enableval"
 ])
 if test "$use_dnsserver" = "yes"; then
     AC_DEFINE(USE_DNSSERVERS)
@@ -722,6 +762,7 @@ AC_ARG_ENABLE(truncate,
     echo "Enabling truncate instead of unlink"
     AC_DEFINE(USE_TRUNCATE)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-truncate=$enableval"
 ])
 
 dnl Enable underscore in hostnames
@@ -736,6 +777,7 @@ AC_ARG_ENABLE(underscores,
     echo "Enabling the use of underscores in host names"
     AC_DEFINE(ALLOW_HOSTNAME_UNDERSCORES, 1)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-underscores=$enableval"
 ])
 
 
@@ -761,6 +803,7 @@ AC_ARG_ENABLE(auth,
   *)    AUTH_MODULES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
         ;;
   esac
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-auth=$enableval"
 ],
 [ if test -z "$AUTH_MODULES"; then
     AUTH_MODULES="basic"
@@ -884,6 +927,7 @@ AC_ARG_ENABLE(ntlm-fail-open,
 [ if test "$enableval" = "yes" ; then
     AC_DEFINE(NTLM_FAIL_OPEN)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-ntlm-fail-open=$enableval"
 ])
 
 dnl Disable "unlinkd" code
@@ -894,6 +938,7 @@ AC_ARG_ENABLE(unlinkd,
   else
     use_unlinkd=yes
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-unlinkd=$enableval"
 ],[
     # Here we should probably use some magic depending on the selected
     # storage models
@@ -919,6 +964,7 @@ AC_ARG_ENABLE(stacktraces,
     echo "Enabling automatic stack backtraces on fatal errors"
     AC_DEFINE(PRINT_STACK_TRACE, 1)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-stacktraces=$enableval"
 ])
 
 dnl Enable X-Accelerator-Vary for Vary support within an accelerator setup
@@ -932,6 +978,7 @@ AC_ARG_ENABLE(x_accelerator_vary,
     echo "Enabling support for X-Accelerator-Vary"
     AC_DEFINE(X_ACCELERATOR_VARY, 1)
   fi
+  SQUID_CONFIG_OPTIONS="$SQUID_CONFIG_OPTIONS --enable-x-accelerator-vary=$enableval"
 ])
 
 # Force some compilers to use ANSI features
@@ -1988,6 +2035,8 @@ for auth in `find $srcdir/src/auth -type
             AUTH_MAKEFILES="$AUTH_MAKEFILES ./$dir/Makefile"
 	fi
 done
+
+AC_DEFINE_UNQUOTED(SQUID_CONFIG_OPTIONS, "$SQUID_CONFIG_OPTIONS")
 
 AC_OUTPUT(\
 	./makefile \
Index: src/main.c
===================================================================
RCS file: /cvsroot/squid/squid/src/main.c,v
retrieving revision 1.25
diff -u -p -r1.25 main.c
--- src/main.c	2001/08/16 07:39:03	1.25
+++ src/main.c	2001/08/28 14:10:14
@@ -466,6 +466,7 @@ mainInitialize(void)
     debug(1, 0) ("Starting Squid Cache version %s for %s...\n",
 	version_string,
 	CONFIG_HOST_TYPE);
+    debug(1, 0) ("This squid was configured with %s\n", SQUID_CONFIG_OPTIONS);
     debug(1, 1) ("Process ID %d\n", (int) getpid());
     debug(1, 1) ("With %d file descriptors available\n", Squid_MaxFD);
 

